HostingDomains
Send ownership verification email
PUT
/api/domains/{domain_code}/email_ownership_checkSends an ownership verification code to one of the allowed domain or alias-domain email addresses.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
domain_code*string
Domain code: D followed by 9 digits. Example: D123456789.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
verification_email_address*string
Allowed email address on the domain or alias domain that will receive the ownership verification code.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/domains/string/email_ownership_check" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "verification_email_address": "string" }'Empty
{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}